CMSIS-DSP: CMakeLists.txt File Reference

| CMSIS-DSP CMSIS DSP Software Library

- Main Page
- Usage and Description
- Reference

All Data Structures Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Functions
CMakeLists.txt File Reference

## Functions

| cmake_minimum_required (VERSION 3.14) project(examples VERSION 0.1) list(APPEND CMAKE_MODULE_PATH $
Testing | include (config) add_subdirectory(../../Source bin_dsp) configLib(CMSISDSP) function(configureExample EXAMPLE) add_executable($
| configApp (${EXAMPLE}) target_compile_definitions($
PRIVATE SEMIHOSTING | target_link_libraries (${EXAMPLE}PRIVATE CMSISDSP) target_include_directories($

## Function Documentation

cmake_minimum_required | ( | VERSION 3. | 14 | ) |

configApp | ( |  | ${EXAMPLE} | ) |

Testing include | ( | config |  | ) |

PRIVATE SEMIHOSTING target_link_libraries | ( |  | ${EXAMPLE}PRIVATE | ) |